PRANK(1)

NAME
prank - Computes probabilistic multiple sequence alignments

SYNOPSIS
prank sequence_file

prank [optional parameters] -d=sequence_file [optional parameters]

DESCRIPTION
The Probabilistic Alignment Kit (PRANK) is a probabilistic multiple alignment program for DNA, codon and amino-acid sequences. It's based on a novel algorithm that treats insertions correctly and avoids over-estimation of the number of deletion events.

In addition, PRANK borrows ideas from maximum likelihood methods used in phylogenetics and correctly takes into account the evolutionary distances between sequences. Lastly, PRANK allows for defining a potential structure for sequences to be aligned and then, simultaneously with the alignment, predicts the locations of structural units in the sequences.

OPTIONS

  INPUT/OUTPUT PARAMETERS

-d=sequence_file
    The input sequence file in FASTA format.

-t=tree_file
    The tree file to use. If unset, an appriximated NJ tree is generated.

-o=output_file
    Set the name of the output file. If unset, output_file is set to output.

-f=output_format
    Set the output format. output_format can be one of fasta (default), phylipi, phylips, paml, or nexus.

-m=model_file
    The model file to use. If unset, model_file is set to HKY2/WAG.

-support
    Compute posterior support.

-showxml
    Output alignment xml-file.

-showtree
    Output alignment guidetree.

-showanc
    Output ancestral sequences.

-showall
    Output all of these.

-noanchors
    Do not use Exonerate anchoring. (Exonerate to be installed separately.)

-nomafft
    Do not use MAFFT for guide tree. (MAFFT to be installed separately.)

-njtree
    Estimate tree from an input alignment (and realign).

-shortnames
    Truncate names at first space character.

-quiet
    Reduce output.

  ALIGNMENT MERGE

-d1=alignment_file
    The first input alignment file in FASTA format.

-d2=alignment_file
    The second input alignment file in FASTA format.

-t1=tree_file
    The tree file for the first alignment. If unset, an appriximated NJ tree is generated.

-t2=tree_file
    The tree file for the second alignment. If unset, an appriximated NJ tree is generated.

  MODEL PARAMETERS

-F, +F
    Force insertions to be always skipped.

-gaprate=#
    Set the gap opening rate. The default is 0.025 for DNA and 0.005 for proteins.

-gapext=#
    Set the gap extension probability. The default is 0.75 for DNA and 0.5 for proteins.

-codon
    Use empirical codon model for coding DNA.

-DNA, -protein
    Use DNA or protein model, respectively. Disables auto-detection of model.

-termgap
    Penalise terminal gaps normally.

-nomissing
    No missing data. Use -F for terminal gaps.

-keep
    Do not remove gaps from pre-aligned sequences.

  OTHER PARAMETERS

-iterate=#
    Rounds of re-alignment iteration; by default, iterate five times and keep the best result.

-once
    Run only once. Same as -iterate=1.

-prunetree
    Prune guide tree branches with no sequence data.

-prunedata
    Prune sequence data with no guide tree leaves.

-uselogs
    Slower but should work for a greater number of sequences.

-translate
    Translate input data to protein sequences.

-mttranslate
    Translate input data to protein sequencess using mt table.

-convert
    Do not align, just convert to a different format.

-dna=dna_sequence_file
    DNA sequence file for backtranslation of protein alignment.

-help
    Show an extended help page with more options.

-version
    Show version and check for updates.

AUTHORS
prank was written by Ari Loytynoja.

This manual page was originally written by Manuel Prinz <manuel@debian.org> for the Debian project (and may be used by others).